import { ElementRef, InputSignal } from "@angular/core";
import { DomSanitizer } from "@angular/platform-browser";
import * as i0 from "@angular/core";
export interface EmbedProps {
    content: string;
}
export default class Embed {
    protected sanitizer: DomSanitizer;
    content: InputSignal<EmbedProps["content"]>;
    elem: import("@angular/core").Signal<ElementRef<any>>;
    scriptsInserted: import("@angular/core").WritableSignal<any[]>;
    scriptsRun: import("@angular/core").WritableSignal<any[]>;
    ranInitFn: import("@angular/core").WritableSignal<boolean>;
    findAndRunScripts(): void;
    constructor(sanitizer: DomSanitizer);
    static ɵfac: i0.ɵɵFactoryDeclaration<Embed, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Embed, "builder-embed", never, { "content": { "alias": "content"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
